Index: debian/control
===================================================================
--- debian/control	(revision 8719)
+++ debian/control	(working copy)
@@ -51,7 +51,7 @@
 Package: asterisk
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, asterisk-config (= ${source:Version}) | asterisk-config-custom, adduser, asterisk-prompt-en
-Provides: asterisk-1.6.2
+Provides: asterisk-1.8
 Recommends: sox, asterisk-voicemail | asterisk-voicemail-storage
 Suggests: asterisk-doc, asterisk-dev, asterisk-h323
 Description: Open Source Private Branch Exchange (PBX)
Index: debian/patches/series
===================================================================
--- debian/patches/series	(revision 8719)
+++ debian/patches/series	(working copy)
@@ -14,5 +14,4 @@
 astgenkey-security
 
 # bugfixes on top of everything
-sound_files
 h323-extra-target
Index: debian/patches/sound_files
===================================================================
--- debian/patches/sound_files	(revision 8719)
+++ debian/patches/sound_files	(working copy)
@@ -1,24 +0,0 @@
-Subject: Avoid downloading extra sound files
-From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
-Forwarded: no
-Last-Update: 2010-02-03
-
-Asterisk configures several sound files to be installed that are not
-included in the distribution tarball. Those files are downloaded by the
-'install' target.
-
-The exact files to be downloaded is configurable. Here we change the
-default to avoid downloading any. We believe those should be part of
-a separate source package (as they rarely change, and have their own
-versioning).
-
---- a/sounds/sounds.xml
-+++ b/sounds/sounds.xml
-@@ -57,7 +57,6 @@
- 	</category>
- 	<category name="MENUSELECT_MOH" displayname="Music On Hold File Packages" positive_output="yes">
- 		<member name="MOH-OPSOUND-WAV" displayname="opsound.org Music On Hold Files, WAV format" >
--			<defaultenabled>yes</defaultenabled>
- 		</member>
- 		<member name="MOH-OPSOUND-ULAW" displayname="opsound.org Music On Hold Files, mu-Law format" >
- 		</member>
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 8719)
+++ debian/changelog	(working copy)
@@ -1,5 +1,6 @@
-asterisk (1:1.8.2.1-1) unstable; urgency=low
+asterisk (1:1.8.2.2-1) unstable; urgency=low
 
+  [ Tzafrir Cohen ]
   * Switching to branch 1.8.
   * Patch parser-mangles-include dropped: merged upstream.
   * Patch dahdi-fxsks-hookstate dropped: merged upstream.
@@ -18,8 +19,18 @@
     - asterisk-voicemail{,-{imap,odbc}storage}
     - And rename the modules accordingly.
 
- -- Tzafrir Cohen <tzafrir@debian.org>  Fri, 24 Dec 2010 15:22:58 +0200
+  [ Paul Belanger ]
+  * debian/control:
+    - Provides: Asterisk-1.8
+  * debian/rules:
+    - Use --disable-category within menuselect to disable MOH sounds.
+  * debian/series:
+    - Removed sound_files.
+  * debian/patches/sound_files:
+    - Removed.
 
+ -- Paul Belanger <pabelanger@digium.com>  Sat, 22 Jan 2011 13:45:27 -0500
+
 asterisk (1:1.6.2.9-2) unstable; urgency=high
 
   [ Tzafrir Cohen ]
Index: debian/rules
===================================================================
--- debian/rules	(revision 8719)
+++ debian/rules	(working copy)
@@ -74,6 +74,8 @@
 build-arch: build-arch-stamp
 build-arch-stamp: config.status
 	dh_testdir
+	$(MAKE) menuselect.makeopts
+	menuselect/menuselect --disable-category MENUSELECT_MOH menuselect.makeopts
 	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS) h323-mak
 	$(FETCH_ENV) $(MAKE) $(BUILDFLAGS)
 	touch $@
